INSTALL(1)

NOME
install - copia arquivos e define atributos

SINOPSE
install [OPÇÃO]... [-T] ORIGEM DESTINO
install [OPÇÃO]... ORIGEM... DIRETÓRIO
install [OPÇÃO]... -t DIRETÓRIO ORIGEM...
install [OPÇÃO]... -d DIRETÓRIO...

DESCRIÇÃO

Este programa de instalação copia arquivos (geralmente apenas compilados) para localizações de destino que você escolher. Se você deseja baixar e instalar um pacote pronto-para-uso em um sistema GNU/Linux, você deve usar um gerenciador de pacotes como yum(1) ou apt-get(1).

Na três primeiras formas, copia ORIGEM para DESTINO ou múltiplas ORIGEM para o DIRETÓRIO existente, enquanto define os modos de permissão e dono/grupo. Na quarta forma, cria todos os componentes do(s) DIRETÓRIO(s) fornecido(s).

Argumentos obrigatórios para opções longas também o são para opções curtas.

--backup[=CONTROLE]
    faz uma cópia de segurança de cada arquivo de destino já existente

-b  como --backup, mas não aceita argumentos

-c  (ignorado)

-C, --compare
    compara cada par de arquivos origem e de destino e, em alguns casos, não modifica o destino

-d, --directory
    trata todos os argumentos como nomes de diretórios; cria todos os componentes dos diretórios especificados

-D  cria todos os componentes iniciais de DESTINO, exceto o último, ou todos os componentes de --target-directory; e então, copia ORIGEM para DESTINO

-g, --group=GRUPO
    define o grupo, em vez de usar o grupo atual do processo

-m, --mode=MODO
    define o modo de permissões (como em chmod), em vez de rwxr-xr-x

-o, --owner=DONO
    define o dono (somente para superusuário)

-p, --preserve-timestamps
    aplica os horários de acesso e modificação dos arquivos de ORIGEM aos arquivos de destino correspondentes

-s, --strip
    retira as tabelas de símbolos

--strip-program=PROGRAMA
    programa usado para retirar símbolos

-S, --suffix=SUFIXO
    sobrescreve o sufixo comum de cópia de segurança

-t, --target-directory=DIRETÓRIO
    copia todos os argumentos da ORIGEM para o DIRETÓRIO

-T, --no-target-directory
    trata DESTINO como um arquivo normal

-v, --verbose
    emite o nome de cada diretório à medida que é criado

--preserve-context
    preserva o contexto de segurança SELinux

-Z  define o contexto de segurança SELinux do arquivo de destino e cada diretório criado ao tipo padrão

--context[=CTX]
    como -Z ou, se CTX for especificado, define o contexto de segurança SELinux ou SMACK como CTX

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

O sufixo de cópia de segurança é "~", a não ser que esteja definido --suffix ou SIMPLE_BACKUP_SUFFIX. O método de controle de versão pode ser definido com --backup ou a variável de ambiente VERSION_CONTROL. Os valores possíveis são:

none, off
    nunca faz cópias de segurança (mesmo se --backup for especificado)

numbered, t
    faz cópias de segurança numeradas

existing, nil
    numeradas se já existirem cópias de segurança numeradas, simples em caso contrário

simple, never
    sempre faz cópias de segurança simples

AUTOR
Escrito por David MacKenzie.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2020 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
Documentação completa: <https://www.gnu.org/software/coreutils/>
ou disponível localmente via: info '(coreutils) install invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Ricardo C.O.Freitas <english.quest@best-service.com> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).